Summary: An X Window System graphical chessboard.
Name: xboard
Version: 4.0.5
Release: 5
Group: Amusements/Games
Source: ftp://ftp.gnu.org/pub/gnu/xboard/xboard-%{version}.tar.gz
Patch0: xboard-4.0.5-entry.patch
Requires: chessprogram
Copyright: GPL
BuildRoot: /var/tmp/xboard-root
Prereq: /sbin/install-info

%description
Xboard is an X Window System based graphical chessboard which can be
used with the GNUchess and Crafty chess programs, with Internet Chess
Servers (ICSs), with chess via email, or with your own saved games.

Install the xboard package if you need a graphical chessboard.

%prep
%setup -q 
%patch0 -p1

%build
%configure
make all info

%install
make prefix=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/bin/xboard
gzip -9f $RPM_BUILD_ROOT/usr/info/*

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xboard.desktop <<EOF
[Desktop Entry]
Name=Chess
Type=Application
Comment=chess via the GNU xboard interface
Exec=xboard
EOF

%post
/sbin/install-info --quiet --info-dir=/usr/info /usr/info/xboard.info.gz

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --quiet --info-dir=/usr/info --delete /usr/info/xboard.info.gz
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/xboard
/usr/bin/zic2xpm
/usr/bin/cmail
/usr/bin/pxboard
/usr/man/man6/xboard.6*
/usr/man/man6/zic2xpm.6*
/usr/man/man6/cmail.6*
/usr/info/xboard.info*
%config(missingok) /etc/X11/applnk/Games/xboard.desktop

%changelog
* Mon Feb 28 2000 Matt Wilson <msw@redhat.com>
- rebuild info file to have proper dir entry, etc.

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Sat Feb 05 2000 Cristian Gafton <gafton@redhat.com>
- add dir entries in install-info

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- gzip info pages (Bug #9035)
- add install-info stuff
- deal with rpm compressing man pages
- handle RPM_OPT_FLAGS

* Fri Dec 17 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0.5

* Wed Sep  8 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0.3

* Sat Aug 14 1999 Bill Nottingham <notting@redhat.com>
- change requires: to virtual 'chessprogram'

* Thu Aug 12 1999 Bill Nottingham <notting@redhat.com>
- require gnuchess so it will work out of the box

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0.2

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file
- built package for 6.0

* Sat Jul 11 1998 Mike Wangsmo <wanger@redhat.com>
- updated to a new version
- buildrooted the package too

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
